<p align="center">
  <a href="https://ancient.works/artifact">
    <img alt="Artifact" src="https://raw.githubusercontent.com/ancientworks/artifact/main/dist/img/artifact-logo-header.svg" height="100">
  </a>
</p>

<p align="center">
  <a href="LICENSE">
    <img alt="MIT License" src="https://img.shields.io/github/license/ancientworks/artifact?color=%23525ddc&style=flat-square" /></a>

  <a href="https://github.com/ancientworks/artifact/releases/latest">
    <img alt="Downloads" src="https://img.shields.io/github/downloads/ancientworks/artifact/total?style=flat-square" /></a>

  <a href="https://github.com/ancientworks/artifact/releases/latest">
    <img alt="GitHub release" src="https://img.shields.io/github/v/release/ancientworks/artifact.svg?style=flat-square" /></a>

  <a href="https://github.com/ancientworks/artifact/actions">
    <img alt="Build Status" src="https://img.shields.io/github/workflow/status/ancientworks/artifact/Release%20-%20Lite%20Edition?style=flat-square" /></a>
</p>

<p align="center">
  <strong>Oxygen Builder's better workflow and environment</strong>
  <br />
  Built with ❤️
</p>

<p align="center">
  <a href="https://ancient.works/artifact"> Official Website </a> | <a href="https://docs.ancient.works/artifact/"> Documentation </a> | <a href="CHANGELOG.md"> Change Log </a>
</p>

## Supporting

**Artifact** is an open source project and completely free to use.

However, the amount of effort needed to maintain and develop new features and products within the AncientWorks ecosystem is not sustainable without proper financial backing. If you have the capability, please consider donating using the links below:

<div align="center">

[![Donate via PayPal](https://img.shields.io/badge/donate-paypal-blue.svg?style=flat-square&logo=paypal)](https://www.paypal.me/joshuasiagian)
[![Sponsor on Ko-Fi](https://img.shields.io/badge/sponsor-kofi-orange.svg?style=flat-square&logo=kofi)](https://ko-fi.com/suabahasa)
[![Sponsor on GitHub](https://img.shields.io/static/v1?label=sponsor&message=%E2%9D%A4&logo=GitHub)](https://github.com/sponsors/suabahasa)
[![Sponsor on Patreon](https://img.shields.io/badge/sponsor-patreon-orange.svg?style=flat-square&logo=patreon)](https://www.patreon.com/suabahasa)

</div>

## About Artifact

Artifact is a productivity-driven plugin with better workflow and environment.

## Artifact modules

### Default modules

Those modules typically come bundled with Artifact.

- [`artifact-modules/command`](https://github.com/artifact-modules/command) Collection of WP-CLI commands.
- [`artifact-modules/oxygen-sandbox`](https://github.com/artifact-modules/oxygen-sandbox) Isolated environments for WordPress Visual Builder (supported: Oxygen Builder, Bricks Builder, Brizy Builder, Zion Builder).
- [`artifact-modules/oxygen-unloader`](https://github.com/artifact-modules/oxygen-unloader) Load the Oxygen Builder plugin only for users with privilege access as defined on _Oxygen > Client Control_ setting page.
- [`artifact-modules/oxygen-global-settings-jsoneditor`](https://github.com/artifact-modules/oxygen-global-settings-jsoneditor) JSON editor on Oxygen _Export/Import Oxygen Options_ page.
- [`artifact-modules/oxygen-conditions`](https://github.com/artifact-modules/oxygen-conditions) Collection of conditions that ready to use inside oxygen editor. [WIP]
- [`artifact-modules/oxygen-keyboard`](https://github.com/artifact-modules/oxygen-keyboard) Oxygen editor shortcuts. [WIP]
- [`artifact-modules/oxygen-contextual-menu`](https://github.com/artifact-modules/oxygen-contextual-menu) Contextual menu or right click on oxygen editor's DOM panel. [WIP]
- [`artifact-modules/oxygen-colorful-editor`](https://github.com/artifact-modules/oxygen-colorful-editor) Customize the oxygen editor color schema. Make the oxygen editor yours. [WIP]

### Exclusive modules

Those modules available for Artifact's [subscribers](#downloads).

- [`artifact-modules/oxygen-collaboration`](https://github.com/artifact-modules/oxygen-collaboration) Oxygen editor multi user and multi tab editing support.
- [`artifact-modules/oxygen-classes-purger`](https://github.com/artifact-modules/oxygen-classes-purger) Remove unused oxygen css classes. [WIP]
- [`artifact-modules/oxygen-copy-paste`](https://github.com/artifact-modules/oxygen-copy-paste) Copy paste element and style on oxygen editor. [WIP]
- [`artifact-modules/oxygen-move-with-arrow`](https://github.com/artifact-modules/oxygen-move-with-arrow) Move element on oxygen editor using keyboard. [WIP]


## Downloads

- [Lite edition](https://ancient.works/downloads/artifact-lite). List of modules included in Lite edition release: Please refer to [#default-modules](#default-modules) section
- [Full edition](https://ancient.works/artifact) List of modules included in Full edition release: Please refer to [#exclusive-modules](#exclusive-modules) section